package com.younike.system.mapper;

import com.younike.system.domain.Order;
import com.younike.system.domain.vo.OrdersVO;

import java.util.List;

/**
 * 订单主Mapper接口
 *
 * @author jubs
 * @date 2022-01-05
 */
public interface MerchantOrderMapper {
    /**
     * 查询订单主
     *
     * @param orderId 订单主主键
     * @return 订单主
     */
    public OrdersVO selectOrderByOrderId(Long orderId);

    /**
     * 查询订单主列表
     *
     * @param order 订单主
     * @return 订单主集合
     */
    public List<OrdersVO> selectOrderList(OrdersVO order);

    /**
     * 新增订单主
     *
     * @param order 订单主
     * @return 结果
     */
    public int insertOrder(OrdersVO order);

    /**
     * 修改订单主
     *
     * @param order 订单主
     * @return 结果
     */
    public int updateOrder(OrdersVO order);

    /**
     * 删除订单主
     *
     * @param orderId 订单主主键
     * @return 结果
     */
    public int deleteOrderByOrderId(Long orderId);

    /**
     * 批量删除订单主
     *
     * @param orderIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderByOrderIds(Long[] orderIds);

}
